内核2.6.32-20无法完成配置

Lucid Lynx (长期支持)
回复
lzs
帖子: 20
注册时间: 2009-03-07 12:27
送出感谢: 0
接收感谢: 0

内核2.6.32-20无法完成配置

#1

帖子 lzs » 2010-04-14 16:37

前天升了一下级,结果发现新内核无法完成配置,本来以为等两天就会好的,结果今天依旧是这个问题。不知哪位前辈能够帮一下忙,解决这个问题。
详细出错信息见附件。
附件
升级出错.txt
(4.69 KiB) 下载 21 次
头像
pocoyo
论坛版主
帖子: 25878
注册时间: 2008-03-25 15:49
来自: 谁知道?
送出感谢: 5 次
接收感谢: 9 次
联系:

Re: 内核2.6.32-20无法完成配置

#2

帖子 pocoyo » 2010-04-14 17:36

ubuntu@ubuntu-laptop:~$ sudo aptitude upgrade
W: The "upgrade" command is deprecated; use "safe-upgrade" instead.
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
正在读取扩展状态文件
正在初始化软件包状态... 完成
下列仅部分安装的软件包将被配置:
linux-generic linux-image-2.6.32-20-generic linux-image-generic
0 个软件包被升级,新安装 0 个, 0 个将被删除, 同时 0 个将不升级。
需要获取 0B 的存档。 解包后将要使用 0B。
正在设置 linux-image-2.6.32-20-generic (2.6.32-20.30) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.32-20-generic
Running postinst hook script /usr/sbin/update-grub.
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-2.6.32-20-generic
Found initrd image: /boot/initrd.img-2.6.32-20-generic
Found linux image: /boot/vmlinuz-2.6.32-19-generic
Found initrd image: /boot/initrd.img-2.6.32-19-generic
Found memtest86+ image: /boot/memtest86+.bin
Found Windows 7 (loader) on /dev/sda1
done
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 2.6.32-20-generic /boot/vmlinuz-2.6.32-20-generic
run-parts: executing /etc/kernel/postinst.d/nvidia-common 2.6.32-20-generic /boot/vmlinuz-2.6.32-20-generic
run-parts: /etc/kernel/postinst.d/nvidia-common exited with return code 10
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-2.6.32-20-generic.postinst line 1003.
dpkg:处理 linux-image-2.6.32-20-generic (--configure)时出错:
子进程 已安装的 post-installation 脚本 返回了错误号 2
dpkg:依赖关系问题使得 linux-image-generic 的配置工作不能继续:
linux-image-generic 依赖于 linux-image-2.6.32-20-generic;然而:
软件包 linux-image-2.6.32-20-generic 还没有被配置。
dpkg:处理 linux-image-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-generic 的配置工作不能继续:
linux-generic 依赖于 linux-image-generic (= 2.6.32.20.21);然而:
软件包 linux-image-generic 还没有被配置。
dpkg:处理 linux-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
没有写入 apport 报告,因为错误信息指示它是从上一个失败导致的。
没有写入 apport 报告,因为错误信息指示它是从上一个失败导致的。
在处理时有错误发生:
linux-image-2.6.32-20-generic
linux-image-generic
linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
软件包安装失败。正在试图恢复:
正在设置 linux-image-2.6.32-20-generic (2.6.32-20.30) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.32-20-generic
Running postinst hook script /usr/sbin/update-grub.
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-2.6.32-20-generic
Found initrd image: /boot/initrd.img-2.6.32-20-generic
Found linux image: /boot/vmlinuz-2.6.32-19-generic
Found initrd image: /boot/initrd.img-2.6.32-19-generic
Found memtest86+ image: /boot/memtest86+.bin
Found Windows 7 (loader) on /dev/sda1
done
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 2.6.32-20-generic /boot/vmlinuz-2.6.32-20-generic
run-parts: executing /etc/kernel/postinst.d/nvidia-common 2.6.32-20-generic /boot/vmlinuz-2.6.32-20-generic
run-parts: /etc/kernel/postinst.d/nvidia-common exited with return code 10
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-2.6.32-20-generic.postinst line 1003.
dpkg:处理 linux-image-2.6.32-20-generic (--configure)时出错:
子进程 已安装的 post-installation 脚本 返回了错误号 2
dpkg:依赖关系问题使得 linux-image-generic 的配置工作不能继续:
linux-image-generic 依赖于 linux-image-2.6.32-20-generic;然而:
软件包 linux-image-2.6.32-20-generic 还没有被配置。
dpkg:处理 linux-image-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 linux-generic 的配置工作不能继续:
linux-generic 依赖于 linux-image-generic (= 2.6.32.20.21);然而:
软件包 linux-image-generic 还没有被配置。
dpkg:处理 linux-generic (--configure)时出错:
依赖关系问题 - 仍未被配置
在处理时有错误发生:
linux-image-2.6.32-20-generic
linux-image-generic
linux-generic
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
正在读取扩展状态文件
正在初始化软件包状态... 完成
ubuntu@ubuntu-laptop:~$
我替你帖上去 :em04
头像
pocoyo
论坛版主
帖子: 25878
注册时间: 2008-03-25 15:49
来自: 谁知道?
送出感谢: 5 次
接收感谢: 9 次
联系:

Re: 内核2.6.32-20无法完成配置

#3

帖子 pocoyo » 2010-04-14 17:37

代码: 全选

sudo apt-get -f install
修复一下 试试
lzs
帖子: 20
注册时间: 2009-03-07 12:27
送出感谢: 0
接收感谢: 0

Re: 内核2.6.32-20无法完成配置

#4

帖子 lzs » 2010-04-15 8:57

修复命令无效~
头像
smallapple
论坛版主
帖子: 7867
注册时间: 2009-03-28 15:12
送出感谢: 0
接收感谢: 19 次

Re: 内核2.6.32-20无法完成配置

#5

帖子 smallapple » 2010-04-15 9:01

装2.6.32-21
lzs
帖子: 20
注册时间: 2009-03-07 12:27
送出感谢: 0
接收感谢: 0

Re: 内核2.6.32-20无法完成配置

#6

帖子 lzs » 2010-04-16 7:35

:em06 ,2.6.32-21还没出来。。。
头像
速腾1994
论坛版主
帖子: 17363
注册时间: 2008-11-01 20:43
系统: Arch+gnome
送出感谢: 23 次
接收感谢: 8 次

Re: 内核2.6.32-20无法完成配置

#7

帖子 速腾1994 » 2010-04-16 10:25

谁说的/
dab
帖子: 1
注册时间: 2010-08-21 22:59
送出感谢: 0
接收感谢: 0

Re: 内核2.6.32-20无法完成配置

#8

帖子 dab » 2010-08-21 23:12

我在2.6.32-24中遇到了同样的问题哟,现在还没有解决啊,用 sudo apt-get -f install 还是说“dpkg: 处理 linux-headers-generic 的配置工作不能继续:
linux-header-generic 依赖于 linux-header-generic-2.6.32-24-generic; 然而:
软件包linux-header-generic-2.6.32-24-generic 还没有被配置。”

说明:我是从ubuntu 9.05 通过在线升级到9.10再能过在线升级到10.04的。
现在的系统内核是linux 2.6.32.24-generic,但GNOME 2.30.2

:em03 请各位高手抽空出出招,给解决一下。先谢了!!
头像
昊昊昊
帖子: 182
注册时间: 2011-08-22 21:22
送出感谢: 1 次
接收感谢: 0

Re: 内核2.6.32-20无法完成配置

#9

帖子 昊昊昊 » 2011-09-18 19:46

我也是一样?

dpkg:处理 linux-image-2.6.35-22-generic (--configure)时出错:
子进程 已安装 post-installation 脚本 返回了错误号 2
在处理时有错误发生:
linux-image-2.6.35-22-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

求解ing ???
▓   單 調   ▓
回复

回到 “Ubuntu 10.04 LTS”